%define name lifeograph
%define version 1.0.1
%define release %mkrel 1

Summary:	A diary to take personal notes on life
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:	        https://launchpad.net/lifeograph/trunk/0.5.1/%{name}-%{version}.tar.xz
Source1:	lifeograph.desktop
License:	GPLv3
Group:		Office
URL:		http://launchpad.net/lifeograph
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtkmm3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
BuildRequires: libgnomekbd-common
#-------------------------------------
Obsoletes: %name < %version


%description
Lifeograph is a diary program to take personal notes on life. 

%description -l de
Lifeograph ist ein Tagebuch-Programm Notizen über das Leben zu nehmen. 


%prep
%setup -q


%build

%cmake

%make

%install
rm -rf %buildroot
%makeinstall_std -C build

mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}
%{_datadir}


%changelog
* Sat Feb 01 2014 bb <bb> 1.0.1-1pclos2014
- update

* Sun May 30 2010 slick50 <lxgator@gmail.com> 0.6.3-1pclos2010
- 0.6.3

* Sat Apr 03 2010 slick50 <lxgator@gmail.com> 0.6.2-1pclos2010
- 0.6.2

* Sun Feb 14 2010 slick50 <lxgator@gmail.com> 0.6.1-1pclos2010
- 0.6.1

* Wed Feb 03 2010 slick50 <lxgator@gmail.com> 0.6.0-1pclos2010
- 0.6.0

* Sat Nov 28 2009 slick50 <lxgator@gmail.com> 0.5.6-1pclos2010
- 0.5.6

* Sun Sep 27 2009 slick50 <lxgator@gmail.com> 0.5.5-1pclos2009
- 0.5.5

* Fri Sep 04 2009 slick50 <lxgator@gmail.com> 0.5.4-1pclos2009
- 0.5.4

* Sun Aug 16 2009 slick50 <lxgator@gmail.com> 0.5.3-1pclos2009
- 0.5.3

* Tue Jul 14 2009 slick50 <lxgator@gmail.com> 0.5.2-1pclos2009
- 0.5.2

* Fri Jun 12 2009 slick50 <lxgator@gmail.com> 0.5.1-1pclos2009
- initial pkg

